Skip to main content
GET
/
bulk
/
imports
/
{id}
from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

# To get the unique host for an index, 
# see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.Index(host="INDEX_HOST")

index.describe_import(id="101")

Documentation Index

Fetch the complete documentation index at: https://docs.pinecone.io/llms.txt

Use this file to discover all available pages before exploring further.

from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

# To get the unique host for an index, 
# see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.Index(host="INDEX_HOST")

index.describe_import(id="101")

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Headers

X-Pinecone-Api-Version
string
default:202601-alpha
required

Required date-based version header

Path Parameters

id
string
required

Unique identifier for the import operation.

Required string length: 1 - 1000

Response

Details of the import operation.

The model for an import operation.

id
string

Unique identifier for the import operation.

Required string length: 1 - 1000
Example:

"101"

uri
string

The URI from where the data is imported.

status
string

The status of the operation. Possible values: Pending, InProgress, Failed, Completed, or Cancelled.

Example:

"Pending"

createdAt
string<date-time>

The start time of the import operation.

finishedAt
string<date-time>

The end time of the import operation.

percentComplete
number<float>

The progress made by the operation, as a percentage.

Required range: 0 <= x <= 100
Example:

42.2

recordsImported
integer<int64>

The number of records successfully imported.

Example:

1000000

error
string

The error message if the import process failed.